############################################################################
#
#	HTML-PAGE-PLAIN
#
#	Defines a fairly simple tabular page with a layout like the following:
#
#	 _______________________________________________________________
#	|								|
#	| page-title							|
#	|								|
#	|---------------------------------------------------------------|
#	|								|
#	|								|
#	| page-body							|
#	|								|
#	|								|
#	|								|
#	|								|
#	|								|
#	|								|
#	|								|
#	|								|
#	|---------------------------------------------------------------|
#	| page-footer							|
#	|_______________________________________________________________|
#
#	Any and all of these may be left undefined. In addition the use of
#	a property 'left-margin' will override a default symbol with a value
#	of '140' -- this allows you to fix the width of the left column
#
#	Example page definition:
#
#	page myPage
#	{
#		value = 	html-page-plain;
#		left-margin =	'';	# not used in this layout but on others
#		page-logo =	'';	# not used in this layout but on others
#		page-title =	'<h1>Welcome to my Page!</h2>';
#		page-nav =	'';	# not used in this layout but on others
#		page-body =	FILE( filename= 'text/myPage.text' );
#		page-footmark =	'';	# not used in this layout but on others
#		page-footer =	'<font size="-1">Copyright  1998 by Me</font>';
#	}
#
############################################################################

#requires-version 2.0

text html-page-plain
{
	value =	page-title
		'<hr>'
		page-body
		'<hr>'
		page-footer;
}

#end of file
