#requires-version 2.0

# An object that encloses and entity-escapes the
# 'value' argument and produces this as output
# Usage:
#	HTML-Q( value='ben&jerry' )
# generates
#	"ben&amp;jerry"
text HTML-Q
{
	html-quote-if-required="1";
}

# Defines the beginning portion of an anchor enclosure,
# such that the currently defined 'link' property becomes
# the destination of the anchor.
text ANCHOR-BEGIN
{
	value = "<a href="
		HTML-Q( value=link )
		anchor-begin-target
		anchor-begin-title
		">";
}

text anchor-begin-target
{
	if =	isdef target;
	then =	' target=' HTML-Q( value=target );
}
text anchor-begin-title
{
	if =	isdef title;
	then =	' title=' HTML-Q( value=title );
}

# Defines the ending portion of an anchor enclosure.
text ANCHOR-END
{
	value = "</a>";
}
